#!/bin/bash
echo "Cgminer BlockErupter Win32 builder:"
echo ""
export folder=$(pwd)
cd ~
if ! [ -d cgminer-blockerupter ]
then
git clone https://github.com/wareck/cgminer-gekko.git cgminer-blockerupter
fi
cd cgminer-blockerupter
echo "Patch:"
sed -i -e "s/BlockErupter BROKEN DRIVER/BlockErupter Prisma/g" configure.ac
sed -i -e "s/int opt_bet_clk = 0;/int opt_bet_clk = 27;/g" cgminer.c
sed -i -e "s/.name = \"BET\"/.name = \"PRS\"/g" usbutils.c
sed -i -e "s/\"Blockerupter \"/\"Prisma Cube \"/g" cgminer.c
echo "Done"

echo "Compilation"
autoreconf -fi
./configure --disable-shared --enable-blockerupter
make -j4
